<div *ngIf="!error">
    <ng-template #poke let-poke="result" >
        <img [src]="'https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/' + poke['id'] + '.png'" class="mr-1" style="width: 45px;">
        {{poke.name}}
    </ng-template>

    <input id="typeahead-template" type="text" class="form-control minWidth" [ngbTypeahead]="search" [resultTemplate]="poke" [inputFormatter]="formatter" placeholder="Enter pokemon name here"/>
</div>
<div *ngIf="error">
    Failed to load pokemon data.. 
    <button type="button" class="btn btn-outline-dark" (click)="emitLoadData()">Reload</button>
</div>